## org.eclipse.wst.wsdl
Interface ExtensibleElement

All Superinterfaces:
  WSDLElement

All Known Subinterfaces:
  Binding, BindingFault, BindingInput, BindingOperation, BindingOutput, Definition, Fault, Import, Input, Message, MessageReference, Operation, Output, Part, Port, PortType, Service, Types

    public interface ExtensibleElement

extends WSDLElement

A representation of the model object 'Extensible Element'.

Since:
  1.0
See Also:
  `WSDLPackage.getExtensibleElement()`

Method Summary
`void` `addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)` Adds an ExtensibilityElement to the 'EExtensibility Elements' containment reference list.
`EList` `getEExtensibilityElements()` Returns the value of the 'EExtensibility Elements' containment reference list.
`java.util.List` `getExtensibilityElements()` This method is same as getEExtensibilityElements() and compatible with the JWSDL API.

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Method Detail

### getEExtensibilityElements

    EList getEExtensibilityElements()

  Returns the value of the 'EExtensibility Elements' containment reference list. The list contents are of type `ExtensibilityElement`.

  If the meaning of the 'EExtensibility Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EExtensibility Elements' containment reference list.
  See Also:
    `WSDLPackage.getExtensibleElement_EExtensibilityElements()`

### getExtensibilityElements

    java.util.List getExtensibilityElements()

  This method is same as getEExtensibilityElements() and compatible with the JWSDL API.

  Returns:
    the value of the 'EFault' reference.
  See Also:
    `getEExtensibilityElements()`

### addExtensibilityElement

    void addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)

  Adds an ExtensibilityElement to the 'EExtensibility Elements' containment reference list.

  Parameters:
    `extElement` - An ExtensibilityElement to be added.